## cinnamon-tray-manager cinnamon-tray-manager |

## Functions

CinnamonTrayManager * | cinnamon_tray_manager_new ()
void | cinnamon_tray_manager_manage_screen ()
void | cinnamon_tray_manager_unmanage_screen ()
void | cinnamon_tray_manager_redisplay ()
void | cinnamon_tray_manager_set_orientation ()

## Properties

ClutterColor * | bg-color | Read / Write / Construct Only

## Signals

void | tray-icon-added | Run Last
void | tray-icon-removed | Run Last

## Types and Values

#define | CINNAMON_TYPE_TRAY_MANAGER
| CinnamonTrayManager

## Object Hierarchy

        GObject
        ╰── CinnamonTrayManager

## Description

## Functions

### cinnamon_tray_manager_new ()

    CinnamonTrayManager *
    cinnamon_tray_manager_new (void);

### cinnamon_tray_manager_manage_screen ()

    void
    cinnamon_tray_manager_manage_screen (CinnamonTrayManager *manager,
                                         StWidget *theme_widget);

### cinnamon_tray_manager_unmanage_screen ()

    void
    cinnamon_tray_manager_unmanage_screen (CinnamonTrayManager *manager);

### cinnamon_tray_manager_redisplay ()

    void
    cinnamon_tray_manager_redisplay (CinnamonTrayManager *manager);

### cinnamon_tray_manager_set_orientation ()

    void
    cinnamon_tray_manager_set_orientation (CinnamonTrayManager *manager,
                                           ClutterOrientation orientation);

## Types and Values

### CINNAMON_TYPE_TRAY_MANAGER

    #define CINNAMON_TYPE_TRAY_MANAGER (cinnamon_tray_manager_get_type ())

### CinnamonTrayManager

    typedef struct _CinnamonTrayManager CinnamonTrayManager;

## Property Details

### The `“bg-color”` property

      “bg-color”                 ClutterColor *

Background color (only if we don't have transparency).

Owner: CinnamonTrayManager

Flags: Read / Write / Construct Only

## Signal Details

### The `“tray-icon-added”` signal

    void
    user_function (CinnamonTrayManager *cinnamontraymanager,
                   ClutterActor        *arg1,
                   gpointer             user_data)

Flags: Run Last

### The `“tray-icon-removed”` signal

    void
    user_function (CinnamonTrayManager *cinnamontraymanager,
                   ClutterActor        *arg1,
                   gpointer             user_data)

Flags: Run Last